Bug 103175 - Crash when opening Libreoffice
Summary: Crash when opening Libreoffice
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
5.1.4.2 release
Hardware: All All
: highest critical
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.1.0 target:6.0.3 target:5.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-10-13 06:02 UTC by michael.bischof3@googlemail.com
Modified: 2018-08-20 13:47 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["SdrModel::ReadUserDataSequenceValue(com::sun::star::beans::PropertyValue const *)"]


Attachments
File that reproduces the bug (19.08 KB, application/vnd.oasis.opendocument.spreadsheet)
2018-03-11 21:08 UTC, Jens Landgré
Details

Note You need to log in before you can comment on or make changes to this bug.
Description michael.bischof3@googlemail.com 2016-10-13 06:02:57 UTC
Description:
Libreoffice crashed after trying to open a *.docx-file. Now, when I start Libreoffice, it starts with „document resauration“ and when I click „ok“ there it crashes. 

Steps to Reproduce:
1.Open LibreOffice
2.Click „ok“ on document restauration
3.

Actual Results:  
No result. I cannot start Libreoffice.

Expected Results:
That I can start Libreoffice.


Reproducible: Always

User Profile Reset: Yes

Additional Info:
Application Error


Fatal exception: Signal 6
Stack:
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x39530)[0x7ff31a0ca530]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x398c3)[0x7ff31a0ca8c3]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x399f8)[0x7ff31a0ca9f8]
/lib/x86_64-linux-gnu/libc.so.6(+0x354a0)[0x7ff319cfd4a0]
/lib/x86_64-linux-gnu/libc.so.6(gsignal+0x38)[0x7ff319cfd418]
/lib/x86_64-linux-gnu/libc.so.6(abort+0x16a)[0x7ff319cff01a]
/usr/lib/libreoffice/program/libmergedlo.so(+0x282b2fc)[0x7ff31cb132fc]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application5AbortERKN3rtl8OUStringE+0x9a)[0x7ff31ca66d2a]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1859109)[0x7ff31bb41109]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2784150)[0x7ff31ca6c150]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x39966)[0x7ff31a0ca966]
/lib/x86_64-linux-gnu/libc.so.6(+0x354a0)[0x7ff319cfd4a0]
/usr/lib/libreoffice/program/libmergedlo.so(com_sun_star_comp_sfx2_ScriptLibraryContainer_get_implementation+0x0)[0x7ff31b7f2a50]
/usr/lib/libreoffice/program/libuno_cppuhelpergcc3.so.3(+0x78c1c)[0x7ff313d0ac1c]
/usr/lib/libreoffice/program/libuno_cppuhelpergcc3.so.3(+0x7bd88)[0x7ff313d0dd88]
/usr/lib/libreoffice/program/libmergedlo.so(+0x176e127)[0x7ff31ba56127]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN14SfxObjectShell17GetBasicContainerEv+0xb0)[0x7ff31ba56ec0]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN12SfxBaseModel17getBasicLibrariesEv+0x5c)[0x7ff31ba7390c]
/usr/lib/libreoffice/program/libmergedlo.so(_ZNK4sfx217DocumentMacroMode15hasMacroLibraryEv+0x4c)[0x7ff31b9f004c]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN4sfx217DocumentMacroMode20checkMacrosOnLoadingERKN3com3sun4star3uno9ReferenceINS3_4task19XInteractionHandlerEEE+0x98)[0x7ff31b9f13f8]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1743fb3)[0x7ff31ba2bfb3]
/usr/lib/libreoffice/program/libmergedlo.so(+0x182bfac)[0x7ff31bb13fac]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN12SfxBaseModel17connectControllerERKN3com3sun4star3uno9ReferenceINS2_5frame11XControllerEEE+0x22c)[0x7ff31ba879cc]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1816b36)[0x7ff31bafeb36]
/usr/lib/libreoffice/program/libmergedlo.so(+0x11dd75b)[0x7ff31b4c575b]
/usr/lib/libreoffice/program/libmergedlo.so(+0x11de448)[0x7ff31b4c6448]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1174b5d)[0x7ff31b45cb5d]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1175906)[0x7ff31b45d906]
/usr/lib/libreoffice/program/libmergedlo.so(+0x163eb8a)[0x7ff31b926b8a]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2586be8)[0x7ff31c86ebe8]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN17SalGenericDisplay21DispatchInternalEventEv+0x76)[0x7ff31cad6c56]
/usr/lib/libreoffice/program/libvclplug_genlo.so(_ZN13SalX11Display5YieldEv+0x24)[0x7ff30568caf4]
/usr/lib/libreoffice/program/libvclplug_genlo.so(+0x2f8ba)[0x7ff30568c8ba]
/usr/lib/libreoffice/program/libvclplug_genlo.so(_ZN7SalXLib5YieldEbb+0xe3)[0x7ff30568bee3]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application5YieldEv+0x51)[0x7ff31ca67551]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application7ExecuteEv+0x45)[0x7ff31ca690c5]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1860b48)[0x7ff31bb48b48]
/usr/lib/libreoffice/program/libmergedlo.so(+0x27852d1)[0x7ff31ca6d2d1]
/usr/lib/libreoffice/program/libmergedlo.so(_Z6SVMainv+0x22)[0x7ff31ca6d322]
/usr/lib/libreoffice/program/libmergedlo.so(soffice_main+0xa2)[0x7ff31bb656e2]
/usr/lib/libreoffice/program/soffice.bin[0x4006eb]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf0)[0x7ff319ce8830]
/usr/lib/libreoffice/program/soffice.bin[0x400729]


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 Julien Nabet 2016-10-13 09:17:36 UTC
Do you confirmed you renamed your LO directory profile (see https://wiki.documentfoundation.org/UserProfile#GNU.2FLinux)

About the docx which caused the crash, would it be possible to attach it to the bugtracker (see https://bugs.documentfoundation.org/attachment.cgi?bugid=103175&action=enter) so we can try to reproduce this?

Finally, you can try to upgrade to 5.2.2 by using LO ppa.
Comment 2 QA Administrators 2017-05-02 11:36:41 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2017-05-31 10:46:00 UTC Comment hidden (obsolete)
Comment 4 Jens Landgré 2018-03-11 21:08:09 UTC
Created attachment 140569 [details]
File that reproduces the bug
Comment 5 Jens Landgré 2018-03-11 21:14:12 UTC
When opening the attached document using the following command I can reproduce this bug in both 5.1.4.2 and now with Ubuntu 17.10 and LibreOffice 5.4.5.1
Build ID: 1:5.4.5-0ubuntu0.17.10.5. I'm able to open the file in other progs, like Excel.

libreoffice --norestore Att\ göra\ GH\ 2018-2019.ods

Application Error


Fatal exception: Signal 6
Stack:
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x13505)[0x7fc3e9824505]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x3b7f6)[0x7fc3e984c7f6]
/lib/x86_64-linux-gnu/libc.so.6(+0x37140)[0x7fc3e9468140]
/lib/x86_64-linux-gnu/libc.so.6(gsignal+0xcb)[0x7fc3e94680bb]
/lib/x86_64-linux-gnu/libc.so.6(abort+0x16d)[0x7fc3e9469f5d]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2cf9702)[0x7fc3ec763702]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application5AbortERKN3rtl8OUStringE+0xa2)[0x7fc3ec6d0c82]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1ca6d80)[0x7fc3eb710d80]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2c6c977)[0x7fc3ec6d6977]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x16352)[0x7fc3e9827352]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x3b6bf)[0x7fc3e984c6bf]
/lib/x86_64-linux-gnu/libc.so.6(+0x37140)[0x7fc3e9468140]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN8SdrModel25ReadUserDataSequenceValueEPKN3com3sun4star5beans13PropertyValueE+0x54)[0x7fc3ebd54264]
/usr/lib/libreoffice/program/../program/libsclo.so(_ZN14ScPreviewShell20ReadUserDataSequenceERKN3com3sun4star3uno8SequenceINS2_5beans13PropertyValueEEE+0x67)[0x7fc3bd2b7347]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1c786e3)[0x7fc3eb6e26e3]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN17SfxBaseController11attachFrameERKN3com3sun4star3uno9ReferenceINS2_5frame6XFrameEEE+0x1cb)[0x7fc3eb6e3d6b]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1c6837d)[0x7fc3eb6d237d]
/usr/lib/libreoffice/program/libmergedlo.so(+0x15f9a8c)[0x7fc3eb063a8c]
/usr/lib/libreoffice/program/libmergedlo.so(+0x15fa4e6)[0x7fc3eb0644e6]
/usr/lib/libreoffice/program/libmergedlo.so(+0x15933b5)[0x7fc3eaffd3b5]
/usr/lib/libreoffice/program/libmergedlo.so(+0x15940a8)[0x7fc3eaffe0a8]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN10comphelper19SynchronousDispatch8dispatchERKN3com3sun4star3uno9ReferenceINS4_10XInterfaceEEERKN3rtl8OUStringESD_iRKNS4_8SequenceINS3_5beans13PropertyValueEEE+0x3b4)[0x7fc3eab1f844]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1cbbdde)[0x7fc3eb725dde]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1cc5e77)[0x7fc3eb72fe77]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1ca9f41)[0x7fc3eb713f41]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1cab0fa)[0x7fc3eb7150fa]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2a71e7f)[0x7fc3ec4dbe7f]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN17SalGenericDisplay21DispatchInternalEventEv+0x67)[0x7fc3ec783797]
/usr/lib/libreoffice/program/libvclplug_gtk3lo.so(+0x41c1b)[0x7fc3d4c53c1b]
/usr/lib/libreoffice/program/libvclplug_gtk3lo.so(+0x41c91)[0x7fc3d4c53c91]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x155)[0x7fc3e7a9ce25]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4b1f0)[0x7fc3e7a9d1f0]
/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7fc3e7a9d27c]
/usr/lib/libreoffice/program/libvclplug_gtk3lo.so(+0x41284)[0x7fc3d4c53284]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application5YieldEv+0x5d)[0x7fc3ec6d158d]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application7ExecuteEv+0x45)[0x7fc3ec6d3915]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1cac481)[0x7fc3eb716481]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2c6e476)[0x7fc3ec6d8476]
/usr/lib/libreoffice/program/libmergedlo.so(_Z6SVMainv+0x30)[0x7fc3ec6d8580]
/usr/lib/libreoffice/program/libmergedlo.so(soffice_main+0x115)[0x7fc3eb7377c5]
/usr/lib/libreoffice/program/soffice.bin(+0x78b)[0x55d24694a78b]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xf1)[0x7fc3e94521c1]
/usr/lib/libreoffice/program/soffice.bin(+0x7ca)[0x55d24694a7ca]
Comment 6 Julien Nabet 2018-03-11 22:08:08 UTC
On pc Debian x86-64 with master sources updated today, I could also reproduce the crash but it seems cause is different.
Indeed, both bts you show Michael and you are different.

Xisco: do you think we should create a new bugtracker or should we "recycle" this one?
Comment 7 Xisco Faulí 2018-03-11 23:08:14 UTC
Yep, let's keep this one open!

Regression introduced by:

author	Mike Kaganski <mike.kaganski@collabora.com>	2016-06-28 19:13:22 +1000
committer	Miklos Vajna <vmiklos@collabora.co.uk>	2016-06-28 17:27:28 +0000
commit	0cb200d000fad8ba31c7400e08cd031823f27308 (patch)
tree	cfe441bb41ad09c86bc60d4cbe18d83982c0bf90
parent	c1ab6613ae7b45f2d90aafd6c6a829a471ceca55 (diff)
tdf#99729: fix text alignment (no autofit & no full width)

Bisected with: bibisect-linux-64-5.3

Adding Cc: to Mike Kaganski
Comment 8 Mike Kaganski 2018-03-12 07:09:55 UTC
https://gerrit.libreoffice.org/51096
Comment 9 Commit Notification 2018-03-12 08:09:21 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=de53d4690d25b9f1bbc0def6c66ce5b45b2fdc96

tdf#103175: Initialize DrawLayer if required

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Xisco Faulí 2018-03-12 09:28:25 UTC
Wow Mike, that was really fast! Thanks a lot
I've just cherry-picked it to 6-0, 5-4 and 5-4-6
Comment 11 Xisco Faulí 2018-03-13 10:37:04 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 6d20aeeda8a346ac10782d44214a89878fd00c40
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 12 Commit Notification 2018-03-13 10:38:56 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f4bb984750887422dea4d1f6c4ef183f57b0ae5&h=libreoffice-5-4

tdf#103175: Initialize DrawLayer if required

It will be available in 5.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2018-03-13 10:39:07 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e722d9a406da01514bb256def98624da3eafee0c&h=libreoffice-6-0

tdf#103175: Initialize DrawLayer if required

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2018-03-13 10:59:22 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=95357b76001a74a23bdc0b68d2e5749124084bce&h=libreoffice-5-4-6

tdf#103175: Initialize DrawLayer if required

It will be available in 5.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Julien Nabet 2018-03-13 11:10:10 UTC
Let's simplify a bit targets.
Comment 16 howil 2018-08-16 08:40:25 UTC
Still open on Ubuntu 18.04 in LibreOffice 6.0.6.2 00m0(Build:2) (from ppa).

I tried to use the flag 'norestore' but had no luck (see below).
BR

$ libreoffice --norestore
Application Error


Fatal exception: Signal 6
Stack:
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x13568)[0x7f1083314568]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x3c3a6)[0x7f108333d3a6]
/lib/x86_64-linux-gnu/libc.so.6(+0x3ef20)[0x7f1082f4ef20]
/lib/x86_64-linux-gnu/libc.so.6(gsignal+0xc7)[0x7f1082f4ee97]
/lib/x86_64-linux-gnu/libc.so.6(abort+0x141)[0x7f1082f50801]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2d5bef2)[0x7f10862b6ef2]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application5AbortERKN3rtl8OUStringE+0xa2)[0x7f1086242b22]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1d0d100)[0x7f1085268100]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2ced4cd)[0x7f10862484cd]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x163b2)[0x7f10833173b2]
/usr/lib/libreoffice/program/libuno_sal.so.3(+0x3c26f)[0x7f108333d26f]
/usr/lib/jvm/java-11-openjdk-amd64/lib/server/libjvm.so(+0xb30735)[0x7f1043421735]
/usr/lib/jvm/java-11-openjdk-amd64/lib/server/libjvm.so(JVM_handle_linux_signal+0x28d)[0x7f1043426e4d]
/usr/lib/jvm/java-11-openjdk-amd64/lib/server/libjvm.so(+0xb2a148)[0x7f104341b148]
/lib/x86_64-linux-gnu/libc.so.6(+0x3ef20)[0x7f1082f4ef20]
/lib/x86_64-linux-gnu/libc.so.6(+0x18e5a1)[0x7f108309e5a1]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(g_dbus_node_info_new_for_xml+0x124)[0x7f10815579b4]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2d6a0ab)[0x7f10862c50ab]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0xc9066)[0x7f108154d066]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0xc92a8)[0x7f108154d2a8]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0x8d093)[0x7f1081511093]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0x8dab6)[0x7f1081511ab6]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0xc0ed2)[0x7f1081544ed2]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0x8d093)[0x7f1081511093]
/usr/lib/x86_64-linux-gnu/libgio-2.0.so.0(+0x8d0c9)[0x7f10815110c9]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x155)[0x7f1080f660f5]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4c4c0)[0x7f1080f664c0]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_loop_run+0xc2)[0x7f1080f667d2]
/usr/lib/x86_64-linux-gnu/libgtk-3.so.0(gtk_clipboard_wait_for_contents+0xde)[0x7f106cf0215e]
/usr/lib/x86_64-linux-gnu/libgtk-3.so.0(gtk_clipboard_wait_for_targets+0xd3)[0x7f106cf02933]
/usr/lib/libreoffice/program/libvclplug_gtk3lo.so(+0x46d1d)[0x7f106d4add1d]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN22TransferableDataHelper11InitFormatsEv+0x705)[0x7f10854fcd15]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN22TransferableDataHelperC1ERKN3com3sun4star3uno9ReferenceINS2_12datatransfer13XTransferableEEE+0xc6)[0x7f10854fcf06]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN22TransferableDataHelper25CreateFromSystemClipboardEPN3vcl6WindowE+0x6e)[0x7f10854fcffe]
/usr/lib/libreoffice/program/libswlo.so(_ZN6SwView14IsPasteAllowedEv+0x4a)[0x7f104b7e2f4a]
/usr/lib/libreoffice/program/libswlo.so(+0xbeb1b9)[0x7f104b7651b9]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN8SfxShell12GetSlotStateEtPK12SfxInterfaceP10SfxItemSet+0xbc)[0x7f1084ffb37c]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN13SfxDispatcher10QueryStateEtRN3com3sun4star3uno3AnyE+0x8f)[0x7f1084fdc9bf]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1ac8e83)[0x7f1085023e83]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1accec8)[0x7f1085027ec8]
/usr/lib/libreoffice/program/libmergedlo.so(+0x16f771f)[0x7f1084c5271f]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN4Menu8ActivateEv+0x6a)[0x7f1085fd233a]
/usr/lib/libreoffice/program/libmergedlo.so(_ZNK4Menu23HandleMenuActivateEventEPS_+0x67)[0x7f1085fd2497]
/usr/lib/libreoffice/program/libvclplug_gtk3lo.so(+0x827a3)[0x7f106d4e97a3]
/usr/lib/libreoffice/program/libvclplug_gtk3lo.so(+0x8292c)[0x7f106d4e992c]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2a79c95)[0x7f1085fd4c95]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN12SystemWindow10SetMenuBarEP7MenuBar+0x1be)[0x7f108600e53e]
/usr/lib/libreoffice/program/libmergedlo.so(+0x161b085)[0x7f1084b76085]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1a7e1cf)[0x7f1084fd91cf]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1a81ef5)[0x7f1084fdcef5]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1cdf570)[0x7f108523a570]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN17SfxBaseController11attachFrameERKN3com3sun4star3uno9ReferenceINS2_5frame6XFrameEEE+0x1d1)[0x7f108523b9f1]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1ccd3fd)[0x7f10852283fd]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1645faa)[0x7f1084ba0faa]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1647666)[0x7f1084ba2666]
/usr/lib/libreoffice/program/libmergedlo.so(+0x15e0ff5)[0x7f1084b3bff5]
/usr/lib/libreoffice/program/libmergedlo.so(+0x15e1ce8)[0x7f1084b3cce8]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN10comphelper19SynchronousDispatch8dispatchERKN3com3sun4star3uno9ReferenceINS4_10XInterfaceEEERKN3rtl8OUStringESD_iRKNS4_8SequenceINS3_5beans13PropertyValueEEE+0x3b4)[0x7f108464a0c4]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1d234c1)[0x7f108527e4c1]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1d2bfe6)[0x7f1085286fe6]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1d0f167)[0x7f108526a167]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1d11353)[0x7f108526c353]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1d1174a)[0x7f108526c74a]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2aea96f)[0x7f108604596f]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN16SalUserEventList18DispatchUserEventsEb+0x185)[0x7f1086232635]
/usr/lib/libreoffice/program/libvclplug_gtk3lo.so(+0x40129)[0x7f106d4a7129]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_dispatch+0x155)[0x7f1080f660f5]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(+0x4c4c0)[0x7f1080f664c0]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0(g_main_context_iteration+0x2c)[0x7f1080f6654c]
/usr/lib/libreoffice/program/libvclplug_gtk3lo.so(+0x41444)[0x7f106d4a8444]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application5YieldEv+0x2e)[0x7f108624322e]
/usr/lib/libreoffice/program/libmergedlo.so(_ZN11Application7ExecuteEv+0x45)[0x7f10862449d5]
/usr/lib/libreoffice/program/libmergedlo.so(+0x1d12b23)[0x7f108526db23]
/usr/lib/libreoffice/program/libmergedlo.so(+0x2cef0b6)[0x7f108624a0b6]
/usr/lib/libreoffice/program/libmergedlo.so(_Z6SVMainv+0x30)[0x7f108624a1c0]
/usr/lib/libreoffice/program/libmergedlo.so(soffice_main+0x115)[0x7f108528ec45]
/usr/lib/libreoffice/program/soffice.bin(+0x78b)[0x56433c27b78b]
/lib/x86_64-linux-gnu/libc.so.6(__libc_start_main+0xe7)[0x7f1082f31b97]
/usr/lib/libreoffice/program/soffice.bin(+0x7ca)[0x56433c27b7ca]
Comment 17 Mike Kaganski 2018-08-16 08:45:49 UTC
(In reply to howil from comment #16)

What made you think it's the same crash? The fact that the top of the stack looks alike (as it should, because some top frames are inside abort code)?

And what made you think that setting a fixed bug to WONTFIX is a good idea?
Comment 18 howil 2018-08-20 13:47:44 UTC
(In reply to Mike from comment #17)

"What made you think it's the same crash? The fact that the top of the stack looks alike (as it should, because some top frames are inside abort code)?"
First, It shows the behavior. Second, yes the error message looks the same on the fist glance. I now compared it side by side and see that the two messages are different. 

How to proceed? Should I report a new bug or is it somehow related to this one. In any case it is annoying, because LO6 does not start under any circumstances.